Method: projects.locations.lookupContext

Looks up LLM Context for the specified resources.

HTTP request

POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*}:lookupContext

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The project to which the request should be attributed in the following form: projects/{project}/locations/{location}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "resources": [
    string
  ],
  "options": {
    string: string,
    ...
  }
}
Fields
resources[]

string

Required. The entry names to look up the context for. The maximum number of resources for a request is limited to 10.

projects/{project}/locations/{location}/entryGroups/{entryGroup}/entries/{entry}

options

map (key: string, value: string)

Optional. Allows to configure the context.

An object containing a list of "key": value pairs. Example: { "name": "wrench", "mass": "1.3kg", "count": "3" }.

Response body

Lookup Context response.

If successful, the response body contains data with the following structure:

JSON representation
{
  "context": string
}
Fields
context

string

LLM generated context for the resources.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permissions on the name resource:

  • dataplex.entries.get
  • dataplex.entryLinks.get
  • dataplex.glossaryTerms.get

For more information, see the IAM documentation.